Skip to main content

end

Description

Optional. Sets the end date of the timescale

Usage

end?: Date;

Example

import { getData } from "./common/data";
import { Gantt } from "@svar-ui/react-gantt";

const data = getData();

function App() {
return (
<Gantt
tasks={data.tasks}
start={new Date(2022, 2, 1)}
end={new Date(2023, 3, 1)}
/>
);
}

export default App;

Related sample: Start/end dates

end
Description
Optional. Sets the end date of the timescaleUsage
end?: Date;
Example
<script setup>
import { getData } from "./common/data";
import { Gantt } from "@svar-ui/vue-gantt";
const data = getData();
</script>
<template>
<Gantt
:tasks="data.tasks"
:start="new Date(2022, 2, 1)"
:end="new Date(2023, 3, 1)" />
</template>
Related sample: Start/end dates
Related articles: